# -*- encoding: utf-8 -*-
# stub: net-ssh 6.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "net-ssh".freeze
  s.version = "6.1.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/net-ssh/net-ssh/blob/master/CHANGES.txt" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jamis Buck".freeze, "Delano Mandelbaum".freeze, "Mikl\u00F3s Fazekas".freeze]
  s.bindir = "exe".freeze
  s.cert_chain = ["-----BEGIN CERTIFICATE-----\nMIIDQDCCAiigAwIBAgIBATANBgkqhkiG9w0BAQsFADAlMSMwIQYDVQQDDBpuZXRz\nc2gvREM9c29sdXRpb3VzL0RDPWNvbTAeFw0yMDA0MTEwNTQyMTZaFw0yMTA0MTEw\nNTQyMTZaMCUxIzAhBgNVBAMMGm5ldHNzaC9EQz1zb2x1dGlvdXMvREM9Y29tMIIB\nIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAxieE22fR/qmdPKUHyYTyUx2g\nwskLwrCkxay+Tvc97ZZUOwf85LDDDPqhQaTWLvRwnIOMgQE2nBPzwalVclK6a+pW\nx/18KDeZY15vm3Qn5p42b0wi9hUxOqPm3J2hdCLCcgtENgdX21nVzejn39WVqFJO\nlntgSDNW5+kCS8QaRsmIbzj17GKKkrsw39kiQw7FhWfJFeTjddzoZiWwc59KA/Bx\nfBbmDnsMLAtAtauMOxORrbx3EOY7sHku/kSrMg3FXFay7jc6BkbbUij+MjJ/k82l\n4o8o0YO4BAnya90xgEmgOG0LCCxRhuXQFnMDuDjK2XnUe0h4/6NCn94C+z9GsQID\nAQABo3sweTAJBgNVHRMEAjAAMAsGA1UdDwQEAwIEsDAdBgNVHQ4EFgQUBfKiwO2e\nM4NEiRrVG793qEPLYyMwHwYDVR0RBBgwFoEUbmV0c3NoQHNvbHV0aW91cy5jb20w\nHwYDVR0SBBgwFoEUbmV0c3NoQHNvbHV0aW91cy5jb20wDQYJKoZIhvcNAQELBQAD\nggEBAJTylLYXo5AybI+tLq79+OXQ8/nbGZ7iydU1uTHQud1JZQ1MRV5dRDjeBmCT\nlRxaEZT4NopEzuHO0sm3nVpSYtQwTaQyVKmnllNI3kc0f4H6i7dpPd7eUAQ3/O2I\neWjDJlzu0zwqTa+N6vzS8Y3ypDSGgb1gJKzluOv7viVUAthmuuJws7XQq/qMMaNw\n3163oCKuJvMW1w8kdUMQqvlLJkVKaxz9K64r2+a04Ok1cKloTB3OSowfAYFoRlqP\nvoajiJNS75Pw/2j13WnPB4Q6w7dHSb57E/VluBpVKmcQZN0dGdAkEIVty3v7kw9g\ny++VpCpWM/PstIFv4ApZMf501UY=\n-----END CERTIFICATE-----\n".freeze]
  s.date = "2020-06-09"
  s.description = "Net::SSH: a pure-Ruby implementation of the SSH2 client protocol. It allows you to write programs that invoke and interact with processes on remote servers, via SSH2.".freeze
  s.email = ["net-ssh@solutious.com".freeze]
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.md".freeze]
  s.files = [".gitignore".freeze, ".rubocop.yml".freeze, ".rubocop_todo.yml".freeze, ".travis.yml".freeze, "CHANGES.txt".freeze, "Gemfile".freeze, "Gemfile.noed25519".freeze, "ISSUE_TEMPLATE.md".freeze, "LICENSE.txt".freeze, "Manifest".freeze, "README.md".freeze, "Rakefile".freeze, "THANKS.txt".freeze, "appveyor.yml".freeze, "lib/net/ssh.rb".freeze, "lib/net/ssh/authentication/agent.rb".freeze, "lib/net/ssh/authentication/certificate.rb".freeze, "lib/net/ssh/authentication/constants.rb".freeze, "lib/net/ssh/authentication/ed25519.rb".freeze, "lib/net/ssh/authentication/ed25519_loader.rb".freeze, "lib/net/ssh/authentication/key_manager.rb".freeze, "lib/net/ssh/authentication/methods/abstract.rb".freeze, "lib/net/ssh/authentication/methods/hostbased.rb".freeze, "lib/net/ssh/authentication/methods/keyboard_interactive.rb".freeze, "lib/net/ssh/authentication/methods/none.rb".freeze, "lib/net/ssh/authentication/methods/password.rb".freeze, "lib/net/ssh/authentication/methods/publickey.rb".freeze, "lib/net/ssh/authentication/pageant.rb".freeze, "lib/net/ssh/authentication/pub_key_fingerprint.rb".freeze, "lib/net/ssh/authentication/session.rb".freeze, "lib/net/ssh/buffer.rb".freeze, "lib/net/ssh/buffered_io.rb".freeze, "lib/net/ssh/config.rb".freeze, "lib/net/ssh/connection/channel.rb".freeze, "lib/net/ssh/connection/constants.rb".freeze, "lib/net/ssh/connection/event_loop.rb".freeze, "lib/net/ssh/connection/keepalive.rb".freeze, "lib/net/ssh/connection/session.rb".freeze, "lib/net/ssh/connection/term.rb".freeze, "lib/net/ssh/errors.rb".freeze, "lib/net/ssh/key_factory.rb".freeze, "lib/net/ssh/known_hosts.rb".freeze, "lib/net/ssh/loggable.rb".freeze, "lib/net/ssh/packet.rb".freeze, "lib/net/ssh/prompt.rb".freeze, "lib/net/ssh/proxy/command.rb".freeze, "lib/net/ssh/proxy/errors.rb".freeze, "lib/net/ssh/proxy/http.rb".freeze, "lib/net/ssh/proxy/https.rb".freeze, "lib/net/ssh/proxy/jump.rb".freeze, "lib/net/ssh/proxy/socks4.rb".freeze, "lib/net/ssh/proxy/socks5.rb".freeze, "lib/net/ssh/service/forward.rb".freeze, "lib/net/ssh/test.rb".freeze, "lib/net/ssh/test/channel.rb".freeze, "lib/net/ssh/test/extensions.rb".freeze, "lib/net/ssh/test/kex.rb".freeze, "lib/net/ssh/test/local_packet.rb".freeze, "lib/net/ssh/test/packet.rb".freeze, "lib/net/ssh/test/remote_packet.rb".freeze, "lib/net/ssh/test/script.rb".freeze, "lib/net/ssh/test/socket.rb".freeze, "lib/net/ssh/transport/algorithms.rb".freeze, "lib/net/ssh/transport/cipher_factory.rb".freeze, "lib/net/ssh/transport/constants.rb".freeze, "lib/net/ssh/transport/ctr.rb".freeze, "lib/net/ssh/transport/hmac.rb".freeze, "lib/net/ssh/transport/hmac/abstract.rb".freeze, "lib/net/ssh/transport/hmac/md5.rb".freeze, "lib/net/ssh/transport/hmac/md5_96.rb".freeze, "lib/net/ssh/transport/hmac/none.rb".freeze, "lib/net/ssh/transport/hmac/ripemd160.rb".freeze, "lib/net/ssh/transport/hmac/sha1.rb".freeze, "lib/net/ssh/transport/hmac/sha1_96.rb".freeze, "lib/net/ssh/transport/hmac/sha2_256.rb".freeze, "lib/net/ssh/transport/hmac/sha2_256_96.rb".freeze, "lib/net/ssh/transport/hmac/sha2_256_etm.rb".freeze, "lib/net/ssh/transport/hmac/sha2_512.rb".freeze, "lib/net/ssh/transport/hmac/sha2_512_96.rb".freeze, "lib/net/ssh/transport/hmac/sha2_512_etm.rb".freeze, "lib/net/ssh/transport/identity_cipher.rb".freeze, "lib/net/ssh/transport/kex.rb".freeze, "lib/net/ssh/transport/kex/abstract.rb".freeze, "lib/net/ssh/transport/kex/abstract5656.rb".freeze, "lib/net/ssh/transport/kex/curve25519_sha256.rb".freeze, "lib/net/ssh/transport/kex/curve25519_sha256_loader.rb".freeze, "lib/net/ssh/transport/kex/diffie_hellman_group14_sha1.rb".freeze, "lib/net/ssh/transport/kex/diffie_hellman_group1_sha1.rb".freeze, "lib/net/ssh/transport/kex/diffie_hellman_group_exchange_sha1.rb".freeze, "lib/net/ssh/transport/kex/diffie_hellman_group_exchange_sha256.rb".freeze, "lib/net/ssh/transport/kex/ecdh_sha2_nistp256.rb".freeze, "lib/net/ssh/transport/kex/ecdh_sha2_nistp384.rb".freeze, "lib/net/ssh/transport/kex/ecdh_sha2_nistp521.rb".freeze, "lib/net/ssh/transport/key_expander.rb".freeze, "lib/net/ssh/transport/openssl.rb".freeze, "lib/net/ssh/transport/packet_stream.rb".freeze, "lib/net/ssh/transport/server_version.rb".freeze, "lib/net/ssh/transport/session.rb".freeze, "lib/net/ssh/transport/state.rb".freeze, "lib/net/ssh/verifiers/accept_new.rb".freeze, "lib/net/ssh/verifiers/accept_new_or_local_tunnel.rb".freeze, "lib/net/ssh/verifiers/always.rb".freeze, "lib/net/ssh/verifiers/never.rb".freeze, "lib/net/ssh/version.rb".freeze, "net-ssh-public_cert.pem".freeze, "net-ssh.gemspec".freeze, "support/ssh_tunnel_bug.rb".freeze]
  s.homepage = "https://github.com/net-ssh/net-ssh".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.0.3".freeze
  s.summary = "Net::SSH: a pure-Ruby implementation of the SSH2 client protocol.".freeze

  s.specification_version = 4

  s.add_development_dependency(%q<bcrypt_pbkdf>.freeze, ["~> 1.0".freeze])
  s.add_development_dependency(%q<ed25519>.freeze, ["~> 1.2".freeze])
  s.add_development_dependency(%q<x25519>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<bundler>.freeze, [">= 1.17".freeze])
  s.add_development_dependency(%q<minitest>.freeze, ["~> 5.10".freeze])
  s.add_development_dependency(%q<mocha>.freeze, ["~> 1.11.2".freeze])
  s.add_development_dependency(%q<rake>.freeze, ["~> 12.0".freeze])
  s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.74.0".freeze])
end

